Subject: Re: Nested function in drivers/of/of_mdio.c

From: Gabriel Paubert <[email-masked]>
Date: Thu, 8 Oct 2009 13:14:27 +0200

On Thu, Oct 08, 2009 at 10:45:12AM +0200, Jérôme Pouiller wrote:
> I did some grep on codebase. I have not found any other instances of 
> nested functions, but my regexps are not enough to be 100% sure.

>>From Documentation/CodingStyle, written by the Head Penguin himself:

"Heretic people all over the world have claimed that this inconsistency
is ...  well ...  inconsistent, but all right-thinking people know that
(a) K&R are _right_ and (b) K&R are right.  Besides, functions are
special anyway (you can't nest them in C)."
                ^^^^^^^^^^^^^^^^^^^^^^^^

I interpret it as a clear prohibition of using nested functions
in the kernel.  

	Regards,
	Gabriel